# Test goal: Darcy flow Dirichlet boundary condition.
# Author: Pavel Exner
# Source for reference:
#   analytical solution available: p=x*y, u=-K*(y,x)
#   checked in Paraview

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Test05 - Steady flow with Dirichlet/Neumann/Newton boundary condition
  mesh:
    mesh_file: ../00_mesh/square_1x1_xy.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-7
    n_schurs: 2
    input_fields:
      - region: bulk
        conductivity: 0.03
      - region: .bottom_y
        bc_type: dirichlet
        bc_pressure: 0
      - region: .right_x
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: y
      - region: .top_y
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x
      - region: .left_x
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./test05.pvd
      format: !vtk
        variant: ascii
